# Swift OpenAPI Hummingbird

Hummingbird transport for [OpenAPI generator](https://github.com/apple/swift-openapi-generator).

```swift
// Create your Hummingbird application.
let app = HBApplication()

// Create a Hummingbird OpenAPI Transport using your application.
let transport = HBOpenAPITransport(app)

// Create an instance of your handler type that conforms the generated protocol
// defining your service API.
let handler = MyServiceAPIImpl()

// Call the generated function on your implementation to add its request
// handlers to the app.
try handler.registerHandlers(on: transport, serverURL: Servers.server1())

// Start the app as you would normally.
try app.start()
app.wait()
```

## Documentation

To get started, check out the full [documentation][docs-generator], which contains step-by-step tutorials!

[docs-generator]: https://swiftpackageindex.com/apple/swift-openapi-generator/documentation
